awesome-tab 无响应

我运行了 git clone https://github.com/manateelazycat/awesome-tab.git ~/.emacs.d/github/awesome-tab

(use-package awesome-tab
    :load-path "~/.emacs.d/github/awesome-tab")

use-package 的配置在这里

(setq use-package-always-ensure t)
(setq use-package-always-defer t)
(setq use-package-always-demand nil)
(setq use-package-expand-minimally t)
(setq use-package-verbose t)

我运行 awesome-tab-mode 提示无此命令

我漏了什么关键步骤?

建议add-list相对应的路径

<add-list 对应路径>
(require 对应的包)
(awesome-tab-mode t)
详细可以见clone下来文件夹的readme.md

原来这种方式错在哪呢


我对这个不是很了解
我只是把awesome-tab自己提供的安装方法复述了一遍给你
关于use-package和require:
https://phenix3443.github.io/notebook/emacs/modes/use-package-manual.html
https://zhuanlan.zhihu.com/p/59509596
或许是按需加载的缘故使得命令没有出现

我设置了defer nil可这不起作用

有谁可以说一下解决办法?

(use-package awesome-tab
    :load-path "github/awesome-tab")

不可以

是不是我的use-package配置有问题(详见第一帖)

我找到解决办法了

(use-package awesome-tab
    :demand t
    :load-path "~/.emacs.d/github/awesome-tab")
1 个赞